Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Prereq for "make xconfig" [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
depontius
Advocate
Advocate


Joined: 05 May 2004
Posts: 3383

PostPosted: Tue Apr 29, 2014 12:46 pm    Post subject: Prereq for "make xconfig" [SOLVED] Reply with quote

I know I could run menuconfig or nconfig, but I'm rather used to and rather like xconfig.

On any fully installed machine I've got, xconfig runs. Whatever it needs, I've got by the time I consider the machine to be "usable". But when first installing, and I have a machine sitting in-chroot right now, it's not there. Last night I emerged "qt3support", but apparently that and whatever it drags in isn't enough.

I'll probably muddle my way through this, either installing a fuller userspace or falling back to menuconfig or nconfig, or maybe just grabbing one of Pappy's Seeds for my initial kernel. But it would be nice to know the exact requirements for xconfig, just to get there faster.
_________________
.sigs waste space and bandwidth


Last edited by depontius on Wed Apr 30, 2014 12:30 pm; edited 1 time in total
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 6194

PostPosted: Tue Apr 29, 2014 8:11 pm    Post subject: Reply with quote

Well, I don't think anything more than qt4 with qt3support is needed (though if you're interested, I've got a patch that drops qt3support requirement - it needs some real testing, as I personally stick to menuconfig, but it seems to be working).

What errors are you getting ?
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 13831

PostPosted: Wed Apr 30, 2014 2:11 am    Post subject: Reply with quote

You could create a partial list of requirements by running make xconfig on a functioning system, then examining the requirements of the generated xconfig program. This may not cover everything, but would likely cover all the required shared libraries.
Back to top
View user's profile Send private message
Jaglover
Watchman
Watchman


Joined: 29 May 2005
Posts: 7090
Location: Saint Amant, Acadiana

PostPosted: Wed Apr 30, 2014 2:14 am    Post subject: Reply with quote

make gconfig - in case you have GTK.
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
depontius
Advocate
Advocate


Joined: 05 May 2004
Posts: 3383

PostPosted: Wed Apr 30, 2014 12:30 pm    Post subject: Reply with quote

I'm working. The problem turned out to be rather simple/subtle. When I was doing my initial "emerge -atuvDN world" to bring the stage3 up to date, there were some problems that were solved by temporarily putting 4 extra lines into /etc/portage/package.use, disabling a few features. The idea was to take those 4 lines out (in some order) after, which I forgot to do.

I had already emerged qt3support, knowing that was needed for xconfig. Simply removing those 4 lines from /etc/portage/package.use and rebuilding the necessary stuff got me working.

So as a net... from a stage3 install, get the world properly updated, install qt3support, and you're ready for xconfig.
_________________
.sigs waste space and bandwidth
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 6194

PostPosted: Thu May 01, 2014 4:36 pm    Post subject: Reply with quote

Jaglover wrote:
make gconfig - in case you have GTK.


It's even a worse case than xconfig - it uses libglade.
Porting away from it isn't hard, though a bit annoying.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum